msgpack::adaptor::object_with_zone< std::pair< T1, T2 > > Struct Template Reference

`#include <pair.hpp>`

## Public Member Functions

void | operator() (msgpack::object::with_zone &o, const std::pair< T1, T2 > &v) const

## Member Function Documentation

## operator()()

template<typename T1 , typename T2 >

void msgpack::adaptor::object_with_zone< std::pair< T1, T2 > >::operator() | ( | msgpack::object::with_zone & | o,
|  | const std::pair< T1, T2 > & | v
| ) |  | const

inline

References msgpack::zone::allocate_align(), msgpack::type::ARRAY, msgpack::object::union_type::array, MSGPACK_ZONE_ALIGNOF, msgpack::object_array::ptr, msgpack::object_array::size, msgpack::object::type, msgpack::object::via, and msgpack::object::with_zone::zone.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/pair.hpp